> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete workspace invitation

> Invalidate a pending workspace invitation. Requires the workspace members invite permission



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/workspace/invites
openapi: 3.1.0
info:
  title: Threetone API
  description: >-
    APIs for the Threetone Agents Platform and shared workspace resources.
    Authenticate programmatic requests with an API key in the x-api-key header.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/workspace/invites:
    delete:
      tags:
        - workspace
      summary: Delete workspace invitation
      description: >-
        Invalidate a pending workspace invitation. Requires the workspace
        members invite permission
      operationId: delete_invite
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_Delete_existing_invitation_v1_workspace_invites_delete
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteWorkspaceInviteResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_Delete_existing_invitation_v1_workspace_invites_delete:
      properties:
        email:
          type: string
          title: Email
          description: The email of the customer.
          examples:
            - john.doe@testmail.com
      type: object
      required:
        - email
      title: Body_Delete_existing_invitation_v1_workspace_invites_delete
    DeleteWorkspaceInviteResponseModel:
      properties:
        status:
          type: string
          title: Status
          description: >-
            The status of the workspace invite deletion request. If the request
            was successful, the status will be 'ok'. Otherwise an error message
            with status 500 will be returned.
      type: object
      required:
        - status
      title: DeleteWorkspaceInviteResponseModel
      example:
        status: ok
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````